List employee statutory withholding types
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/statutory_withholding_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/statutory_withholding_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/statutory_withholding_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "cpp",
"label": "CPP"
},
"links": {
"self": "/statutory_withholding_types/cpp"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "cpp_2",
"label": "CPP 2"
},
"links": {
"self": "/statutory_withholding_types/cpp_2"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "ei",
"label": "EI"
},
"links": {
"self": "/statutory_withholding_types/ei"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "federal_income_tax",
"label": "Federal Income Tax"
},
"links": {
"self": "/statutory_withholding_types/federal_income_tax"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "provincial_income_tax",
"label": "Provincial Income Tax"
},
"links": {
"self": "/statutory_withholding_types/provincial_income_tax"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "qpip",
"label": "QPIP"
},
"links": {
"self": "/statutory_withholding_types/qpip"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "qpp",
"label": "QPP"
},
"links": {
"self": "/statutory_withholding_types/qpp"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "qpp_2",
"label": "QPP 2"
},
"links": {
"self": "/statutory_withholding_types/qpp_2"
}
},
{
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "territorial_income_tax",
"label": "Territorial Income Tax"
},
"links": {
"self": "/statutory_withholding_types/territorial_income_tax"
}
}
],
"links": {
"first": "/statutory_withholding_types?page=1",
"last": "/statutory_withholding_types?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 9,
"has_more": false
}
}Employee Statutory Withholding Types
List employee statutory withholding types
GET
/
statutory_withholding_types
List employee statutory withholding types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Country code that adds each type's payroll calculations to the response, as the features and form_mappings fields. Currently only ca is supported. See Line item type features.
Available options:
CA, GB Comma-separated list of type identifiers to return.
Case-insensitive substring match against the human-readable label, in any supported locale.
Response
200 - application/json
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("statutory_withholding_type").
⌘I

